actions: []
api_documentation: http://docs.ros.org/en/noetic/api/controller_interface/html
authors: Wim Meeussen
brief: ''
bugtracker: https://github.com/ros-controls/ros_control/issues
depends:
- catkin
- hardware_interface
- roscpp
depends_on:
- ackermann_steering_controller
- cartesian_trajectory_controller
- cob_omni_drive_controller
- cob_tricycle_controller
- controller_manager
- controller_manager_tests
- diff_drive_controller
- effort_controllers
- force_torque_sensor_controller
- forward_command_controller
- four_wheel_steering_controller
- franka_control
- franka_example_controllers
- franka_gazebo
- franka_hw
- gpio_controller
- gripper_action_controller
- imu_filter_controllers
- imu_sensor_controller
- industrial_robot_status_controller
- joint_state_controller
- joint_trajectory_controller
- mimic_joint_controller
- pass_through_controllers
- pilz_control
- position_controllers
- pr2_controller_interface
- qb_chain_controllers
- quori_holonomic_drive_controller
- ridgeback_control
- rm_calibration_controllers
- rm_chassis_controllers
- rm_gimbal_controllers
- rm_hw
- rm_orientation_controller
- rm_shooter_controllers
- robot_state_controller
- ros_control
- scaled_joint_trajectory_controller
- speed_scaling_state_controller
- tof_radar_controller
- tof_sensor_controller
- twist_controller
- usb_cam_controllers
- velocity_controllers
description: Interface base class for controllers.
devel_jobs:
- https://build.ros.org/view/Ndev/job/Ndev__ros_control__ubuntu_focal_amd64
doc_job: https://build.ros.org/view/Ndoc/job/Ndoc__ros_control__ubuntu_focal_amd64
has_changelog_rst: true
license: BSD
maintainer_status: maintained
maintainers: "Bence Magyar <bence.magyar.robotics@gmail.com>, Enrique Fernandez <enrique.fernandez.perdomo@gmail.com>,\
  \ Mathias L\xFCdtke <mathias.luedtke@ipa.fraunhofer.de>"
metapackages:
- ros_control
msgs: []
package_type: package
release_jobs:
- https://build.ros.org/view/Nsrc_uF/job/Nsrc_uF__controller_interface__ubuntu_focal__source
- https://build.ros.org/view/Nbin_uF64/job/Nbin_uF64__controller_interface__ubuntu_focal_amd64__binary
- https://build.ros.org/view/Nbin_ufhf_uFhf/job/Nbin_ufhf_uFhf__controller_interface__ubuntu_focal_armhf__binary
- https://build.ros.org/view/Nbin_ufv8_uFv8/job/Nbin_ufv8_uFv8__controller_interface__ubuntu_focal_arm64__binary
repo_name: ros_control
repo_url: https://github.com/ros-controls/ros_control
srvs: []
timestamp: 1699005891.6925218
url: https://github.com/ros-controls/ros_control/wiki
vcs: git
vcs_uri: https://github.com/ros-controls/ros_control.git
vcs_version: noetic-devel
